Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA Interface Reference

Inheritance diagram for PortableServer::POA:

[legend]
Collaboration diagram for PortableServer::POA:

[legend]
List of all members.

## Public Methods
POA | create_POA (in string adapter_name, in POAManager a_POAManager, in CORBA::PolicyList policies) raises (AdapterAlreadyExists, InvalidPolicy)
POA | find_POA (in string adapter_name, in boolean activate_it) raises (AdapterNonExistent)
void | destroy (in boolean etherealize_objects, in boolean wait_for_completion)
ThreadPolicy | create_thread_policy (in ThreadPolicyValue value)
LifespanPolicy | create_lifespan_policy (in LifespanPolicyValue value)
IdUniquenessPolicy | create_id_uniqueness_policy (in IdUniquenessPolicyValue value)
IdAssignmentPolicy | create_id_assignment_policy (in IdAssignmentPolicyValue value)
ImplicitActivationPolicy | create_implicit_activation_policy (in ImplicitActivationPolicyValue value)
ServantRetentionPolicy | create_servant_retention_policy (in ServantRetentionPolicyValue value)
RequestProcessingPolicy | create_request_processing_policy (in RequestProcessingPolicyValue value)
ServantManager | get_servant_manager () raises (WrongPolicy)
void | set_servant_manager (in ServantManager imgr) raises (WrongPolicy)
Servant | get_servant () raises (NoServant, WrongPolicy)
void | set_servant (in Servant p_servant) raises (WrongPolicy)
ObjectId | activate_object (in Servant p_servant) raises (ServantAlreadyActive, WrongPolicy)
void | activate_object_with_id (in ObjectId id, in Servant p_servant) raises (ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy)
void | deactivate_object (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
Object | create_reference (in CORBA::RepositoryId intf) raises (WrongPolicy)
Object | create_reference_with_id (in ObjectId oid, in CORBA::RepositoryId intf) raises (WrongPolicy)
ObjectId | servant_to_id (in Servant p_servant) raises (ServantNotActive, WrongPolicy)
Object | servant_to_reference (in Servant p_servant) raises (ServantNotActive, WrongPolicy)
Servant | reference_to_servant (in Object reference) raises (ObjectNotActive, WrongAdapter, WrongPolicy)
ObjectId | reference_to_id (in Object reference) raises (WrongAdapter, WrongPolicy)
Servant | id_to_servant (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
Object | id_to_reference (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
ObjectId | create_id_for_reference (in Object the_ref) raises (NotAGroupObject)
IDs | reference_to_ids (in Object the_ref) raises (NotAGroupObject)
void | associate_reference_with_id (in Object ref, in ObjectId oid) raises (NotAGroupObject)
void | disassociate_reference_with_id (in Object ref, in ObjectId oid) raises (NotAGroupObject)
## Public Attributes
readonly attribute string | the_name
readonly attribute POA | the_parent
readonly attribute POAList | the_children
readonly attribute POAManager | the_POAManager
attribute AdapterActivator | the_activator
readonly attribute CORBA::OctetSeq | id

## Member Function Documentation

ObjectId PortableServer::POA::activate_object | ( | in Servant | p_servant | ) | raises (ServantAlreadyActive, WrongPolicy)

void PortableServer::POA::activate_object_with_id | ( | in ObjectId | id,
|  | in Servant | p_servant
| ) | raises (ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy)

void PortableServer::POA::associate_reference_with_id | ( | in Object | ref,
|  | in ObjectId | oid
| ) | raises (NotAGroupObject)

IdAssignmentPolicy PortableServer::POA::create_id_assignment_policy | ( | in IdAssignmentPolicyValue | value | ) |

ObjectId PortableServer::POA::create_id_for_reference | ( | in Object | the_ref | ) | raises (NotAGroupObject)

IdUniquenessPolicy PortableServer::POA::create_id_uniqueness_policy | ( | in IdUniquenessPolicyValue | value | ) |

ImplicitActivationPolicy PortableServer::POA::create_implicit_activation_policy | ( | in ImplicitActivationPolicyValue | value | ) |

LifespanPolicy PortableServer::POA::create_lifespan_policy | ( | in LifespanPolicyValue | value | ) |

POA PortableServer::POA::create_POA | ( | in string | adapter_name,
|  | in POAManager | a_POAManager,
|  | in CORBA::PolicyList | policies
| ) | raises (AdapterAlreadyExists, InvalidPolicy)

Object PortableServer::POA::create_reference | ( | in CORBA::RepositoryId | intf | ) | raises (WrongPolicy)

Object PortableServer::POA::create_reference_with_id | ( | in ObjectId | oid,
|  | in CORBA::RepositoryId | intf
| ) | raises (WrongPolicy)

RequestProcessingPolicy PortableServer::POA::create_request_processing_policy | ( | in RequestProcessingPolicyValue | value | ) |

ServantRetentionPolicy PortableServer::POA::create_servant_retention_policy | ( | in ServantRetentionPolicyValue | value | ) |

ThreadPolicy PortableServer::POA::create_thread_policy | ( | in ThreadPolicyValue | value | ) |

void PortableServer::POA::deactivate_object | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

void PortableServer::POA::destroy | ( | in boolean | etherealize_objects,
|  | in boolean | wait_for_completion
| ) |

void PortableServer::POA::disassociate_reference_with_id | ( | in Object | ref,
|  | in ObjectId | oid
| ) | raises (NotAGroupObject)

POA PortableServer::POA::find_POA | ( | in string | adapter_name,
|  | in boolean | activate_it
| ) | raises (AdapterNonExistent)

Servant PortableServer::POA::get_servant | ( |  | ) | raises (NoServant, WrongPolicy)

ServantManager PortableServer::POA::get_servant_manager | ( |  | ) | raises (WrongPolicy)

Object PortableServer::POA::id_to_reference | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

Servant PortableServer::POA::id_to_servant | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

ObjectId PortableServer::POA::reference_to_id | ( | in Object | reference | ) | raises (WrongAdapter, WrongPolicy)

IDs PortableServer::POA::reference_to_ids | ( | in Object | the_ref | ) | raises (NotAGroupObject)

Servant PortableServer::POA::reference_to_servant | ( | in Object | reference | ) | raises (ObjectNotActive, WrongAdapter, WrongPolicy)

ObjectId PortableServer::POA::servant_to_id | ( | in Servant | p_servant | ) | raises (ServantNotActive, WrongPolicy)

Object PortableServer::POA::servant_to_reference | ( | in Servant | p_servant | ) | raises (ServantNotActive, WrongPolicy)

void PortableServer::POA::set_servant | ( | in Servant | p_servant | ) | raises (WrongPolicy)

void PortableServer::POA::set_servant_manager | ( | in ServantManager | imgr | ) | raises (WrongPolicy)

## Member Data Documentation

readonly attribute CORBA::OctetSeq PortableServer::POA::id

attribute AdapterActivator PortableServer::POA::the_activator

readonly attribute POAList PortableServer::POA::the_children

readonly attribute string PortableServer::POA::the_name

readonly attribute POA PortableServer::POA::the_parent

readonly attribute POAManager PortableServer::POA::the_POAManager

The documentation for this interface was generated from the following file:

- PortableServer.pidl